Skip to navigation

Search organization members using reusable filters

POST transport for the versioned organization-member filter payload.

Authentication

AuthorizationToken

The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:

curl https://label-studio-host/api/projects -H “Authorization: Token [your-token]”

Path parameters

idintegerRequired

Request

This endpoint expects an object.
filtersanyRequired

Response

concurrencymap from strings to any or nullRead-only
contributed_to_projectslist of objects or nullRead-only
created_projectslist of objects or nullRead-only
flexmap from strings to any or nullRead-only

Per-member Flex claim/window state for Members UI (FIT-2339).

idintegerRead-only
organizationinteger
Organization ID
roleenum
  • OW - Owner
  • AD - Administrator
  • MA - Manager
  • RE - Reviewer
  • AN - Annotator
  • DI - Deactivated
  • NO - Not Activated
  • VO - View Only
role_sourceenum or null
  • manual - Manual
  • saml - SAML
  • scim - SCIM
  • ldap - LDAP
  • api - API
  • billing - Billing
tagslist of objectsRead-only
userobject
A ModelSerializer that takes additional arguments for "fields", "omit" and "expand" in order to control which fields are displayed, and whether to replace simple values with complex, nested serializations
user_typestring or nullRead-only